Bug 217059 - 3c59x fails to start at boot
3c59x fails to start at boot
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
Blocks: 427887
  Show dependency treegraph
Reported: 2006-11-23 10:24 EST by Pierre Thibaudeau
Modified: 2008-02-07 23:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-07 23:26:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pierre Thibaudeau 2006-11-23 10:24:37 EST
Right after a boot, "ifconfig -a" gives the following in lieu of eth0

__tmp1804289383 Link encap:Ethernet  HWaddr 00:B0:D0:14:A7:14  
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 lg file transmission:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interruption:3 Adresse de base:0xac00 

Because of this the "network" service will not start correctly.

If I do "modprobe -r eth0; modprobe eth0", the 3c59x module is reloaded
(correctly) and eth0 shows normally in "ifconfig -a". The "network" service can
then start normally.

It looks like this device need extra time at power on.

As a workaround, I have included a "modprobe -r eth0" at the start of
/etc/init.d/network it starts all right.

Same thing with kernel 2.6.18-1.2798.fc and 2.6.18-1.2849.fc6.

Note that I did not have this issue whith 2.6.17-1.2142_FC4.

For information, here's a lspci output for the offending interface:

02:0c.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 78)
        Subsystem: Dell Unknown device 00c7
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (2500ns min, 2500ns max), Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 3
        Region 0: I/O ports at ec00 [size=128]
        Region 1: Memory at ff2fec00 (32-bit, non-prefetchable) [size=128]
        Expansion ROM at 54000000 [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-
Comment 1 Patrick C. F. Ernzer 2007-11-25 10:02:25 EST
this bug is still present in RHEL 5.1 (2.6.18-53.el5) and the described dirty
hack still works
Comment 2 Jon Stanley 2008-01-07 20:53:34 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)


I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.


I am CC'ing myself to this bug, however this version of Fedora is no longer

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 3 Jon Stanley 2008-02-07 23:26:29 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.